reorganize files in docs/ into subdirs
authorTero Marttila <terom@fixme.fi>
Thu, 04 Feb 2010 19:46:31 +0200
changeset 42 ccd6d5632ca0
parent 41 9be5b4525e78
child 43 78bc61c677d8
reorganize files in docs/ into subdirs
docs/etc_defaults/fixbot-logwatch
docs/etc_defaults/fixbot-nexus
docs/etc_defaults_fixbot-logwatch
docs/etc_defaults_fixbot-nexus
docs/etc_init.d/fixbot-logwatch
docs/etc_init.d/fixbot-nexus
docs/etc_init.d_fixbot-logwatch
docs/etc_init.d_fixbot-nexus
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/etc_defaults/fixbot-logwatch	Thu Feb 04 19:46:31 2010 +0200
@@ -0,0 +1,24 @@
+
+# what the CWD should be
+RUN_DIR=/home/terom/projects/FixBot
+
+# what user to run as
+RUN_UID=fixbot-dev
+
+# logfile to use
+LOG_FILE=$RUN_DIR/logs/logwatch.log
+
+# twistd options
+TWISTD_ARGS=" \
+    --uid=$RUN_UID  \
+    --gid=nogroup   \
+    --rundir=$RUN_DIR   \
+    --logfile=$LOG_FILE "
+
+# fixbot options
+FIXBOT_ARGS=" \
+    --api-port=34889    "
+
+# plugins/modules are loaded from RUN_DIR
+export "PYTHONPATH=$RUN_DIR"
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/etc_defaults/fixbot-nexus	Thu Feb 04 19:46:31 2010 +0200
@@ -0,0 +1,26 @@
+
+# what the CWD should be
+RUN_DIR=/home/terom/projects/FixBot
+
+# what user to run as
+RUN_UID=fixbot-dev
+
+# logfile to use
+LOG_FILE=$RUN_DIR/logs/nexus.log
+
+# twistd options
+TWISTD_ARGS=" \
+    --uid=$RUN_UID  \
+    --gid=nogroup   \
+    --rundir=$RUN_DIR   \
+    --logfile=$LOG_FILE "
+
+# fixbot options
+FIXBOT_ARGS=" \
+    --irc-nickname=FixBotDev    \
+    --irc-channel=#fixme-test   \
+    --api-port=34889    "
+
+# plugins/modules are loaded from RUN_DIR
+export "PYTHONPATH=$RUN_DIR"
+
--- a/docs/etc_defaults_fixbot-logwatch	Thu Feb 04 19:41:25 2010 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,24 +0,0 @@
-
-# what the CWD should be
-RUN_DIR=/home/terom/projects/FixBot
-
-# what user to run as
-RUN_UID=fixbot-dev
-
-# logfile to use
-LOG_FILE=$RUN_DIR/logs/logwatch.log
-
-# twistd options
-TWISTD_ARGS=" \
-    --uid=$RUN_UID  \
-    --gid=nogroup   \
-    --rundir=$RUN_DIR   \
-    --logfile=$LOG_FILE "
-
-# fixbot options
-FIXBOT_ARGS=" \
-    --api-port=34889    "
-
-# plugins/modules are loaded from RUN_DIR
-export "PYTHONPATH=$RUN_DIR"
-
--- a/docs/etc_defaults_fixbot-nexus	Thu Feb 04 19:41:25 2010 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,26 +0,0 @@
-
-# what the CWD should be
-RUN_DIR=/home/terom/projects/FixBot
-
-# what user to run as
-RUN_UID=fixbot-dev
-
-# logfile to use
-LOG_FILE=$RUN_DIR/logs/nexus.log
-
-# twistd options
-TWISTD_ARGS=" \
-    --uid=$RUN_UID  \
-    --gid=nogroup   \
-    --rundir=$RUN_DIR   \
-    --logfile=$LOG_FILE "
-
-# fixbot options
-FIXBOT_ARGS=" \
-    --irc-nickname=FixBotDev    \
-    --irc-channel=#fixme-test   \
-    --api-port=34889    "
-
-# plugins/modules are loaded from RUN_DIR
-export "PYTHONPATH=$RUN_DIR"
-
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/etc_init.d/fixbot-logwatch	Thu Feb 04 19:46:31 2010 +0200
@@ -0,0 +1,165 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          fixbot-nexus
+# Required-Start:    $remote_fs
+# Required-Stop:     $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: FixBot Logwatch component
+# Description:       Reads a stream of log data from fifos/files, filters the messages, and passes them on to the nexus
+### END INIT INFO
+
+# Author: Tero Marttila <terom@fixme.fi>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+
+# fixbot stuff
+FIXBOT_NAME=fixbot-logwatch
+# what plugin to run
+TWISTD_PLUGIN=fixbot_logwatch
+DESC="FixBot Logwatch component"
+PIDFILE=/var/run/$FIXBOT_NAME.pid
+SCRIPTNAME=/etc/init.d/$FIXBOT_NAME
+# custom arguments to twistd(1)
+TWISTD_ARGS=
+# custom arguments to fixbot, see `twistd fixbot_logwatch --help`
+FIXBOT_ARGS=
+
+
+# twistd stuff
+DAEMON_NAME=twistd
+DAEMON=/usr/bin/$DAEMON_NAME
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$FIXBOT_NAME ] && . /etc/default/$FIXBOT_NAME
+
+# what arguments we run with
+DAEMON_ARGS="--pidfile=$PIDFILE $TWISTD_ARGS $TWISTD_PLUGIN $FIXBOT_ARGS"
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+	# Return
+	#   0 if daemon has been started
+	#   1 if daemon was already running
+	#   2 if daemon could not be started
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+		|| return 1
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
+		$DAEMON_ARGS \
+		|| return 2
+	# Add code here, if necessary, that waits for the process to be ready
+	# to handle requests from services started subsequently which depend
+	# on this one.  As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+	# Return
+	#   0 if daemon has been stopped
+	#   1 if daemon was already stopped
+	#   2 if daemon could not be stopped
+	#   other if a failure occurred
+	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $DAEMON_NAME
+	RETVAL="$?"
+	[ "$RETVAL" = 2 ] && return 2
+	# Wait for children to finish too if this is a daemon that forks
+	# and if the daemon is only ever run from this initscript.
+	# If the above conditions are not satisfied then add some other code
+	# that waits for the process to drop all resources that could be
+	# needed by services started subsequently.  A last resort is to
+	# sleep for some time.
+	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+	[ "$?" = 2 ] && return 2
+	# Many daemons don't delete their pidfiles when they exit.
+	rm -f $PIDFILE
+	return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+	#
+	# If the daemon can reload its configuration without
+	# restarting (for example, when it is sent a SIGHUP),
+	# then implement that here.
+	#
+	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME_DAEMON
+	return 0
+}
+
+case "$1" in
+  start)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$FIXBOT_NAME"
+	do_start
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  stop)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$FIXBOT_NAME"
+	do_stop
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  #reload|force-reload)
+	#
+	# If do_reload() is not implemented then leave this commented out
+	# and leave 'force-reload' as an alias for 'restart'.
+	#
+	#log_daemon_msg "Reloading $DESC" "$NAME"
+	#do_reload
+	#log_end_msg $?
+	#;;
+  restart|force-reload)
+	#
+	# If the "reload" option is implemented then remove the
+	# 'force-reload' alias
+	#
+	log_daemon_msg "Restarting $DESC" "$FIXBOT_NAME"
+	do_stop
+	case "$?" in
+	  0|1)
+		do_start
+		case "$?" in
+			0) log_end_msg 0 ;;
+			1) log_end_msg 1 ;; # Old process is still running
+			*) log_end_msg 1 ;; # Failed to start
+		esac
+		;;
+	  *)
+	  	# Failed to stop
+		log_end_msg 1
+		;;
+	esac
+	;;
+  *)
+	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/etc_init.d/fixbot-nexus	Thu Feb 04 19:46:31 2010 +0200
@@ -0,0 +1,165 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          fixbot-nexus
+# Required-Start:    $remote_fs
+# Required-Stop:     $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: FixBot Nexus component
+# Description:       Acts as the IRC bot, and provides an API server that other components may connect to 
+### END INIT INFO
+
+# Author: Tero Marttila <terom@fixme.fi>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+
+# fixbot stuff
+FIXBOT_NAME=fixbot-nexus
+# what plugin to run
+TWISTD_PLUGIN=fixbot_nexus
+DESC="FixBot Nexus component"
+PIDFILE=/var/run/$FIXBOT_NAME.pid
+SCRIPTNAME=/etc/init.d/$FIXBOT_NAME
+# custom arguments to twistd(1)
+TWISTD_ARGS=
+# custom arguments to fixbot, see `twistd fixbot_nexus --help`
+FIXBOT_ARGS=
+
+
+# twistd stuff
+DAEMON_NAME=twistd
+DAEMON=/usr/bin/$DAEMON_NAME
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$FIXBOT_NAME ] && . /etc/default/$FIXBOT_NAME
+
+# what arguments we run with
+DAEMON_ARGS="--pidfile=$PIDFILE $TWISTD_ARGS $TWISTD_PLUGIN $FIXBOT_ARGS"
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+	# Return
+	#   0 if daemon has been started
+	#   1 if daemon was already running
+	#   2 if daemon could not be started
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+		|| return 1
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
+		$DAEMON_ARGS \
+		|| return 2
+	# Add code here, if necessary, that waits for the process to be ready
+	# to handle requests from services started subsequently which depend
+	# on this one.  As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+	# Return
+	#   0 if daemon has been stopped
+	#   1 if daemon was already stopped
+	#   2 if daemon could not be stopped
+	#   other if a failure occurred
+	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $DAEMON_NAME
+	RETVAL="$?"
+	[ "$RETVAL" = 2 ] && return 2
+	# Wait for children to finish too if this is a daemon that forks
+	# and if the daemon is only ever run from this initscript.
+	# If the above conditions are not satisfied then add some other code
+	# that waits for the process to drop all resources that could be
+	# needed by services started subsequently.  A last resort is to
+	# sleep for some time.
+	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+	[ "$?" = 2 ] && return 2
+	# Many daemons don't delete their pidfiles when they exit.
+	rm -f $PIDFILE
+	return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+	#
+	# If the daemon can reload its configuration without
+	# restarting (for example, when it is sent a SIGHUP),
+	# then implement that here.
+	#
+	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME_DAEMON
+	return 0
+}
+
+case "$1" in
+  start)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$FIXBOT_NAME"
+	do_start
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  stop)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$FIXBOT_NAME"
+	do_stop
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  #reload|force-reload)
+	#
+	# If do_reload() is not implemented then leave this commented out
+	# and leave 'force-reload' as an alias for 'restart'.
+	#
+	#log_daemon_msg "Reloading $DESC" "$NAME"
+	#do_reload
+	#log_end_msg $?
+	#;;
+  restart|force-reload)
+	#
+	# If the "reload" option is implemented then remove the
+	# 'force-reload' alias
+	#
+	log_daemon_msg "Restarting $DESC" "$FIXBOT_NAME"
+	do_stop
+	case "$?" in
+	  0|1)
+		do_start
+		case "$?" in
+			0) log_end_msg 0 ;;
+			1) log_end_msg 1 ;; # Old process is still running
+			*) log_end_msg 1 ;; # Failed to start
+		esac
+		;;
+	  *)
+	  	# Failed to stop
+		log_end_msg 1
+		;;
+	esac
+	;;
+  *)
+	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:
--- a/docs/etc_init.d_fixbot-logwatch	Thu Feb 04 19:41:25 2010 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,165 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          fixbot-nexus
-# Required-Start:    $remote_fs
-# Required-Stop:     $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: FixBot Logwatch component
-# Description:       Reads a stream of log data from fifos/files, filters the messages, and passes them on to the nexus
-### END INIT INFO
-
-# Author: Tero Marttila <terom@fixme.fi>
-
-# Do NOT "set -e"
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-
-# fixbot stuff
-FIXBOT_NAME=fixbot-logwatch
-# what plugin to run
-TWISTD_PLUGIN=fixbot_logwatch
-DESC="FixBot Logwatch component"
-PIDFILE=/var/run/$FIXBOT_NAME.pid
-SCRIPTNAME=/etc/init.d/$FIXBOT_NAME
-# custom arguments to twistd(1)
-TWISTD_ARGS=
-# custom arguments to fixbot, see `twistd fixbot_logwatch --help`
-FIXBOT_ARGS=
-
-
-# twistd stuff
-DAEMON_NAME=twistd
-DAEMON=/usr/bin/$DAEMON_NAME
-
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$FIXBOT_NAME ] && . /etc/default/$FIXBOT_NAME
-
-# what arguments we run with
-DAEMON_ARGS="--pidfile=$PIDFILE $TWISTD_ARGS $TWISTD_PLUGIN $FIXBOT_ARGS"
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-	# Return
-	#   0 if daemon has been started
-	#   1 if daemon was already running
-	#   2 if daemon could not be started
-	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
-		|| return 1
-	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
-		$DAEMON_ARGS \
-		|| return 2
-	# Add code here, if necessary, that waits for the process to be ready
-	# to handle requests from services started subsequently which depend
-	# on this one.  As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-	# Return
-	#   0 if daemon has been stopped
-	#   1 if daemon was already stopped
-	#   2 if daemon could not be stopped
-	#   other if a failure occurred
-	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $DAEMON_NAME
-	RETVAL="$?"
-	[ "$RETVAL" = 2 ] && return 2
-	# Wait for children to finish too if this is a daemon that forks
-	# and if the daemon is only ever run from this initscript.
-	# If the above conditions are not satisfied then add some other code
-	# that waits for the process to drop all resources that could be
-	# needed by services started subsequently.  A last resort is to
-	# sleep for some time.
-	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-	[ "$?" = 2 ] && return 2
-	# Many daemons don't delete their pidfiles when they exit.
-	rm -f $PIDFILE
-	return "$RETVAL"
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
-	#
-	# If the daemon can reload its configuration without
-	# restarting (for example, when it is sent a SIGHUP),
-	# then implement that here.
-	#
-	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME_DAEMON
-	return 0
-}
-
-case "$1" in
-  start)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$FIXBOT_NAME"
-	do_start
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  stop)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$FIXBOT_NAME"
-	do_stop
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  #reload|force-reload)
-	#
-	# If do_reload() is not implemented then leave this commented out
-	# and leave 'force-reload' as an alias for 'restart'.
-	#
-	#log_daemon_msg "Reloading $DESC" "$NAME"
-	#do_reload
-	#log_end_msg $?
-	#;;
-  restart|force-reload)
-	#
-	# If the "reload" option is implemented then remove the
-	# 'force-reload' alias
-	#
-	log_daemon_msg "Restarting $DESC" "$FIXBOT_NAME"
-	do_stop
-	case "$?" in
-	  0|1)
-		do_start
-		case "$?" in
-			0) log_end_msg 0 ;;
-			1) log_end_msg 1 ;; # Old process is still running
-			*) log_end_msg 1 ;; # Failed to start
-		esac
-		;;
-	  *)
-	  	# Failed to stop
-		log_end_msg 1
-		;;
-	esac
-	;;
-  *)
-	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
-	exit 3
-	;;
-esac
-
-:
--- a/docs/etc_init.d_fixbot-nexus	Thu Feb 04 19:41:25 2010 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,165 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          fixbot-nexus
-# Required-Start:    $remote_fs
-# Required-Stop:     $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: FixBot Nexus component
-# Description:       Acts as the IRC bot, and provides an API server that other components may connect to 
-### END INIT INFO
-
-# Author: Tero Marttila <terom@fixme.fi>
-
-# Do NOT "set -e"
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-
-# fixbot stuff
-FIXBOT_NAME=fixbot-nexus
-# what plugin to run
-TWISTD_PLUGIN=fixbot_nexus
-DESC="FixBot Nexus component"
-PIDFILE=/var/run/$FIXBOT_NAME.pid
-SCRIPTNAME=/etc/init.d/$FIXBOT_NAME
-# custom arguments to twistd(1)
-TWISTD_ARGS=
-# custom arguments to fixbot, see `twistd fixbot_nexus --help`
-FIXBOT_ARGS=
-
-
-# twistd stuff
-DAEMON_NAME=twistd
-DAEMON=/usr/bin/$DAEMON_NAME
-
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$FIXBOT_NAME ] && . /etc/default/$FIXBOT_NAME
-
-# what arguments we run with
-DAEMON_ARGS="--pidfile=$PIDFILE $TWISTD_ARGS $TWISTD_PLUGIN $FIXBOT_ARGS"
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-	# Return
-	#   0 if daemon has been started
-	#   1 if daemon was already running
-	#   2 if daemon could not be started
-	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
-		|| return 1
-	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
-		$DAEMON_ARGS \
-		|| return 2
-	# Add code here, if necessary, that waits for the process to be ready
-	# to handle requests from services started subsequently which depend
-	# on this one.  As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-	# Return
-	#   0 if daemon has been stopped
-	#   1 if daemon was already stopped
-	#   2 if daemon could not be stopped
-	#   other if a failure occurred
-	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $DAEMON_NAME
-	RETVAL="$?"
-	[ "$RETVAL" = 2 ] && return 2
-	# Wait for children to finish too if this is a daemon that forks
-	# and if the daemon is only ever run from this initscript.
-	# If the above conditions are not satisfied then add some other code
-	# that waits for the process to drop all resources that could be
-	# needed by services started subsequently.  A last resort is to
-	# sleep for some time.
-	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-	[ "$?" = 2 ] && return 2
-	# Many daemons don't delete their pidfiles when they exit.
-	rm -f $PIDFILE
-	return "$RETVAL"
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
-	#
-	# If the daemon can reload its configuration without
-	# restarting (for example, when it is sent a SIGHUP),
-	# then implement that here.
-	#
-	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME_DAEMON
-	return 0
-}
-
-case "$1" in
-  start)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$FIXBOT_NAME"
-	do_start
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  stop)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$FIXBOT_NAME"
-	do_stop
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  #reload|force-reload)
-	#
-	# If do_reload() is not implemented then leave this commented out
-	# and leave 'force-reload' as an alias for 'restart'.
-	#
-	#log_daemon_msg "Reloading $DESC" "$NAME"
-	#do_reload
-	#log_end_msg $?
-	#;;
-  restart|force-reload)
-	#
-	# If the "reload" option is implemented then remove the
-	# 'force-reload' alias
-	#
-	log_daemon_msg "Restarting $DESC" "$FIXBOT_NAME"
-	do_stop
-	case "$?" in
-	  0|1)
-		do_start
-		case "$?" in
-			0) log_end_msg 0 ;;
-			1) log_end_msg 1 ;; # Old process is still running
-			*) log_end_msg 1 ;; # Failed to start
-		esac
-		;;
-	  *)
-	  	# Failed to stop
-		log_end_msg 1
-		;;
-	esac
-	;;
-  *)
-	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
-	exit 3
-	;;
-esac
-
-: